class ApiError(Exception):
    pass


class AuthError(ApiError):
    def __init__(self):
        self.msg = 'Forbidden'
        self.status = 403


class ValidationError(ApiError):
    def __init__(self):
        self.msg = 'Not valid'
        self.status = 400


class NotFoundError(ApiError):
    def __init__(self):
        self.msg = 'Not found'
        self.status = 404


class InternalError(ApiError):
    def __init__(self):
        self.msg = 'Internal server error'
        self.status = 500
