import configparser
config = configparser.ConfigParser()
config.read('config.ini')






# only for development
debug = True
# listen ip address
#print (str(config.keys()))
host =  config['OTHER']['host']  #'0.0.0.0'
# running on port
port = int(config['OTHER']['port'])  #18881
# list of allowed hosts
allowed_hosts = ['*']  # config['OTHER']['allowed_hosts']
# paths for temporary files
invoices_path = config['OTHER']['invoices_path']#    './static/files'
static = config['OTHER']['static']        #'./static'
# database credentials
database = {
    "host":  config['POSTGRES']['hostaddr'] ,
    "user": config['POSTGRES']['user'] , #"postgres",
    "password": config['POSTGRES']['password'], #"postgres", #"test123",
    "database": config['POSTGRES']['dbname'] , #"class4switchv5",   #"class4_pr"
    "port": config['POSTGRES']['dbport']  #5432,
}






# billing API url
API_HOST = config['OTHER']['API_HOST']   #     'http://192.99.10.113:8890'
# authentication API url
AUTH_HOST = config['OTHER']['AUTH_HOST'] # "http://localhost:8887"
DEFAULT_AUTH_TOKEN = config['OTHER']['DEFAULT_AUTH_TOKEN'] # "Yuza2L2rlGkdemBeYzL0SVncFafTjYNFSMpShsJT614inGMLDf"
# log format
log_format = '%(asctime)s - %(name)s - %(levelname)s - %(message)s'
# id for select of coutry codes from database
code_deck_id = int(config['OTHER']['code_deck_id']) #  1
allowed_hosts = ['*']

# used by autoinvoice module by Krasimir Todorov

AUTOINVOICE = { 'other':{'ftp':config['OTHER']['ftp'],'pdf_path':'./static/files'  }
,
'log': {'by_time ':1,'debug_level':1,'invoice_auto_path':'logs/invoice_auto.log','invoice_auto_when ':'h','invoice_auto_interval':2,
'invoice_auto_backupCount':15,'invoice_auto_maxBytes':10
}}

invoice_log_config = config['log']
