from views import ping, invoice

def init(app):
    app.router.add_route('GET', '/ping', ping.ping)
    app.router.add_route('GET', '/invoice/client/{client_id}/end/{end}', invoice.get)
    app.router.add_route('GET', '/invoice/client/{client_id}/end/{end}/start/{start}', invoice.get)
    app.router.add_route('GET', '/invoice/client/{client_id}/end/{end}/start/{start}/type/{type}', invoice.get)
    app.router.add_route('GET', '/invoice/client/{client_id}/end/{end}/start/{start}/due/{due}', invoice.get)
    app.router.add_route('GET', '/invoice/client/{client_id}/end/{end}/start/{start}/type/{type}/due/{due}', invoice.get)
    app.router.add_route('GET', '/invoice/client/{client_id}/end/{end}/start/{start}/type/{type}/due/{due}/params/{params}', invoice.get)
    app.router.add_route('GET', '/invoice/get_pdf/{invoice_id}', invoice.getPdf)
    app.router.add_route('GET', '/get_pdf/{invoice_id}', invoice.getPdf)
